---
#
#      Copyright (c) 2022 Pensando Systems
#      All rights reserved.
#
#      author: Pensando - Technical Business Development Team
#
#      Demonstration of how to create a VRF in PSM
#
#      usage:
#
#             To demo pushing a new VRF to PSM
#
#               ./virtual_router_create.yml
#
#
- hosts: localhost
  gather_facts: False

  tasks:
    - name: Create Virtual Router
      dss_virtual_router:
        state: absent
        psm_host: '{{ lookup("env", "PSM_IP") }}'
        psm_user: '{{ lookup("env", "PSM_USER") }}'
        psm_password: '{{ lookup("env", "PSM_PASSWORD") }}'
        virtual_router_name: vrf-1234
        allow_session_reuse: disable
        vxlan_vni: 42
